    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * --------------------
    028 * XmlWriteHandler.java
    029 * --------------------
    030 * (C) Copyright 2003-2005, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: XmlWriteHandler.java,v 1.3 2005/10/18 13:35:06 mungady Exp $
    036 *
    037 * Changes (from 26-Nov-2003)
    038 * --------------------------
    039 * 26-Nov-2003 : Added standard header and Javadocs (DG);
    040 *
    041 */
    042
    043package org.jfree.xml.writer;
    044
    045import java.io.IOException;
    046
    047/**
    048 * The interface that must be supported by all XML write handlers.
    049 */
    050public interface XmlWriteHandler {
    051
    052    /**
    053     * Returns the root handler for this write handler. The root handler
    054     * will be used to resolve the child handlers.
    055     *
    056     * @return the root handler.
    057     */
    058    public RootXmlWriteHandler getRootHandler();
    059
    060    /**
    061     * Sets the root handler.
    062     *
    063     * @param rootHandler  the root handler.
    064     */
    065    public void setRootHandler(RootXmlWriteHandler rootHandler);
    066
    067    /**
    068     * Performs the writing of a single object.
    069     *
    070     * @param tagName  the tag name for the generated xml element.
    071     * @param object  the object to be written.
    072     * @param writer  the writer.
    073     * @param mPlexAttribute  the multiplexer selector attribute name.
    074     * @param mPlexValue the multiplexers attribute value corresponding to this
    075     * object type.
    076     *
    077     * @throws IOException if an IOError occured.
    078     * @throws XMLWriterException if an XmlDefinition error occured.
    079     */
    080    public void write(String tagName, Object object, XMLWriter writer,
    081                      String mPlexAttribute, String mPlexValue)
    082        throws IOException, XMLWriterException;
    083
    084}